Subject: Re: [PATCH net-next v2] net: sfp: soft status and control support

From: Andrew Lunn <[email-masked]>
Date: Thu, 21 Nov 2019 17:21:13 +0100

On Thu, Nov 21, 2019 at 03:51:07PM +0000, Ioana Ciornei wrote:
> > Subject: [PATCH net-next v2] net: sfp: soft status and control support
> > 
> > Add support for the soft status and control register, which allows TX_FAULT
> > and RX_LOS to be monitored and TX_DISABLE to be set.  We make use of this
> > when the board does not support GPIOs for these signals.
> 
> Hi Russell,
> 
> With this addition, shouldn't the following print be removed?
> 
> [    2.967583] sfp sfp-mac4: No tx_disable pin: SFP modules will always be emitting.

Hi Ioana

Does the SFP you are using actually support soft status?

     Andrew